from . import db, ModelBase


class View(ModelBase):
    __tablename_base__ = "view"

    id = db.Column(db.Integer, primary_key=True, autoincrement=True)
    cards = db.relationship("Card", cascade="all,delete-orphan", backref="view")
    connection = db.relationship("Connection", cascade="all,delete-orphan", backref="view", uselist=False)
    url_rules = db.relationship("UrlRule", cascade="all,delete-orphan", backref="view")

    name = db.Column(db.Text, nullable=False)
    description = db.Column(db.Text, nullable=True)
    is_active = db.Column(db.Boolean, nullable=False, default=True)
