from marshmallow import Schema, fields
from backend.models.card import CardType
from backend.models import FedCard
from marshmallow_enum import EnumField


class FedCardSchema(Schema):
    class Meta:
        model = FedCard
        load_instance = True

    card = fields.Nested("CardSchema", only=("id", "name", "type", "priority"))
    view = fields.Nested("ViewSchema", only=("id", "name", "description"))

    name = fields.String()
    type = EnumField(CardType)
    data = fields.Dict()
    error = fields.String()
    is_unpinned = fields.Boolean()
    is_hidden = fields.Boolean()
    position = fields.Integer()
