from marshmallow import Schema, fields, post_load, pre_dump
from backend.models.keyword import Keyword


class KeywordSchema(Schema):
    class Meta:
        model = Keyword
        load_instance = True

    primary = fields.String(allow_none=False)
    secondary = fields.String(allow_none=True)

    @post_load
    def make_load_keyword(self, data, **kwargs):
        if not isinstance(data, Keyword):
            data = Keyword(**data)
        return data

    @pre_dump
    def make_dump_keyword(self, data, **kwargs):
        if isinstance(data, Keyword):
            data = vars(data)
        return data
