from marshmallow import Schema, fields
from backend.models import Trigger

class TriggerSchema(Schema):
    class Meta:
        model = Trigger
        load_instance = True

    keywords = fields.Nested("KeywordSchema", many=True)
    fed_url_rules = fields.Nested("FedUrlRuleSchema", many=True)
    connection = fields.Nested("ConnectionSchema", only=("id",), dump_only=True)
    view = fields.Nested("ViewSchema", only=("id", "name"), dump_only=True)

    cards_count = fields.Integer()
    refresh_hash = fields.String()
